Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal
Interface PortalProfileConstants

All Known Implementing Classes:
  PortalJspBase

public interface PortalProfileConstants

Contains Portal Profile Constants.

Field Summary
`static java.lang.String` | `PROFILE_ADDRESS` The portal user's address property name constant.
`static java.lang.String` | `PROFILE_BANNER_COLOR` The portal user's portlet banner color property name constant.
`static java.lang.String` | `PROFILE_BODY_COLOR` The portal user's portal body background color property name constant.
`static java.lang.String` | `PROFILE_CITY` The portal user's city property name constant.
`static java.lang.String` | `PROFILE_COUNTRY` The portal user's country property name constant.
`static java.lang.String` | `PROFILE_EMAIL` The portal user's email property name constant.
`static java.lang.String` | `PROFILE_FIRST` The portal user's first name property name constant.
`static java.lang.String` | `PROFILE_LAST` The portal user's last name property name constant.
`static java.lang.String` | `PROFILE_PORTLET_BG_COLOR` The portal user's portlet background color property name constant.
`static java.lang.String` | `PROFILE_PREFIX` The prefix used to store portal profile information the PortalUserProfileBean.
`static java.lang.String` | `PROFILE_REFRESH` The portal user's page refresh rate property name constant.
`static java.lang.String` | `PROFILE_REMINDER` The portal user's password reminder property name constant.
`static java.lang.String` | `PROFILE_SHOW_BORDERS` The portal user's portlet show borders property name constant.
`static java.lang.String` | `PROFILE_STATE` The portal user's state property name constant.
`static java.lang.String` | `PROFILE_TIMEZONE` The portal user's timezone property name constant.
`static java.lang.String` | `PROFILE_TITLE_FONT_COLOR` The portal user's portlet titlebar font color property name constant.
`static java.lang.String` | `PROFILE_TITLEBAR_COLOR` The portal user's portlet titlebar background color property name constant.
`static java.lang.String` | `PROFILE_ZIP` The portal user's zip property name constant.

Field Detail

### PROFILE_PREFIX

    public static final java.lang.String PROFILE_PREFIX

  The prefix used to store portal profile information the PortalUserProfileBean.

### PROFILE_REFRESH

    public static final java.lang.String PROFILE_REFRESH

  The portal user's page refresh rate property name constant.

### PROFILE_TIMEZONE

    public static final java.lang.String PROFILE_TIMEZONE

  The portal user's timezone property name constant.

### PROFILE_EMAIL

    public static final java.lang.String PROFILE_EMAIL

  The portal user's email property name constant.

### PROFILE_REMINDER

    public static final java.lang.String PROFILE_REMINDER

  The portal user's password reminder property name constant.

### PROFILE_FIRST

    public static final java.lang.String PROFILE_FIRST

  The portal user's first name property name constant.

### PROFILE_LAST

    public static final java.lang.String PROFILE_LAST

  The portal user's last name property name constant.

### PROFILE_ADDRESS

    public static final java.lang.String PROFILE_ADDRESS

  The portal user's address property name constant.

### PROFILE_CITY

    public static final java.lang.String PROFILE_CITY

  The portal user's city property name constant.

### PROFILE_STATE

    public static final java.lang.String PROFILE_STATE

  The portal user's state property name constant.

### PROFILE_ZIP

    public static final java.lang.String PROFILE_ZIP

  The portal user's zip property name constant.

### PROFILE_COUNTRY

    public static final java.lang.String PROFILE_COUNTRY

  The portal user's country property name constant.

### PROFILE_TITLEBAR_COLOR

    public static final java.lang.String PROFILE_TITLEBAR_COLOR

  The portal user's portlet titlebar background color property name constant.

### PROFILE_TITLE_FONT_COLOR

    public static final java.lang.String PROFILE_TITLE_FONT_COLOR

  The portal user's portlet titlebar font color property name constant.

### PROFILE_BODY_COLOR

    public static final java.lang.String PROFILE_BODY_COLOR

  The portal user's portal body background color property name constant.

### PROFILE_PORTLET_BG_COLOR

    public static final java.lang.String PROFILE_PORTLET_BG_COLOR

  The portal user's portlet background color property name constant.

### PROFILE_BANNER_COLOR

    public static final java.lang.String PROFILE_BANNER_COLOR

  The portal user's portlet banner color property name constant.

### PROFILE_SHOW_BORDERS

    public static final java.lang.String PROFILE_SHOW_BORDERS

  The portal user's portlet show borders property name constant.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved